#Description: DSPI_EDMA Driver; user_visible: True
include_guard(GLOBAL)
message("driver_dspi_edma component is included.")

target_sources(${MCUX_SDK_PROJECT_NAME} PRIVATE
    ${CMAKE_CURRENT_LIST_DIR}/fsl_dspi_edma.c
)

target_include_directories(${MCUX_SDK_PROJECT_NAME} PUBLIC
    ${CMAKE_CURRENT_LIST_DIR}/.
)

#OR Logic component
if(${MCUX_DEVICE} STREQUAL "MK22F12810")
    include(driver_edma_MK22F51212)
endif()
if(${MCUX_DEVICE} STREQUAL "MKV10Z1287")
    include(driver_edma_MKV11Z7)
endif()
if(${MCUX_DEVICE} STREQUAL "MKV11Z7")
    include(driver_edma_MKV11Z7)
endif()
if(${MCUX_DEVICE} STREQUAL "MKV31F51212")
    include(driver_edma_MKV31F51212)
endif()
if(${MCUX_DEVICE} STREQUAL "MK22F51212")
    include(driver_edma_MK22F51212)
endif()
if(${MCUX_DEVICE} STREQUAL "MKV10Z7")
    include(driver_edma_MKV11Z7)
endif()
if(${MCUX_DEVICE} STREQUAL "MK02F12810")
    include(driver_edma_MK22F51212)
endif()
if(${MCUX_DEVICE} STREQUAL "MK22F25612")
    include(driver_edma_MK22F51212)
endif()
if(${MCUX_DEVICE} STREQUAL "MKV31F12810")
    include(driver_edma_MKV31F51212)
endif()
if(${MCUX_DEVICE} STREQUAL "MKV31F25612")
    include(driver_edma_MKV31F51212)
endif()
if(${MCUX_DEVICE} STREQUAL "MKV30F12810")
    include(driver_edma_MKV31F51212)
endif()
if(${MCUX_DEVICE} STREQUAL "MK64F12")
    include(driver_edma_MK64F12)
endif()
if(${MCUX_DEVICE} STREQUAL "MK63F12")
    include(driver_edma_MK64F12)
endif()
if(${MCUX_DEVICE} STREQUAL "MK24F12")
    include(driver_edma_MK64F12)
endif()
if(${MCUX_DEVICE} STREQUAL "MK66F18")
    include(driver_edma_MK66F18)
endif()
if(${MCUX_DEVICE} STREQUAL "MK65F18")
    include(driver_edma_MK66F18)
endif()
if(${MCUX_DEVICE} STREQUAL "MK26F18")
    include(driver_edma_MK66F18)
endif()
if(${MCUX_DEVICE} STREQUAL "MK28FA15")
    include(driver_edma_MK28FA15)
endif()
if(${MCUX_DEVICE} STREQUAL "MK27FA15")
    include(driver_edma_MK28FA15)
endif()

include(driver_dspi)
include(driver_edma_MK22F51212)
