#Description: FLEXCAN EDMA Driver; user_visible: True
include_guard(GLOBAL)
message("driver_flexcan_edma component is included.")

target_sources(${MCUX_SDK_PROJECT_NAME} PRIVATE
    ${CMAKE_CURRENT_LIST_DIR}/fsl_flexcan_edma.c
)

target_include_directories(${MCUX_SDK_PROJECT_NAME} PUBLIC
    ${CMAKE_CURRENT_LIST_DIR}/.
)

#OR Logic component
if(${MCUX_DEVICE} STREQUAL "MIMXRT1062")
    include(driver_edma_MIMXRT1062)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMXRT1176_cm4")
    include(driver_edma_MIMXRT1176_cm4)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMXRT1176_cm7")
    include(driver_edma_MIMXRT1176_cm7)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMXRT1175_cm4")
    include(driver_edma_MIMXRT1176_cm4)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMXRT1175_cm7")
    include(driver_edma_MIMXRT1176_cm7)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMXRT1061")
    include(driver_edma_MIMXRT1062)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8QM6_cm4_core0")
    include(driver_dma3)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8QM6_cm4_core1")
    include(driver_dma3)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8QX6")
    include(driver_dma3)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8UX6")
    include(driver_dma3)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8UX5")
    include(driver_dma3)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8QX2")
    include(driver_dma3)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8QX3")
    include(driver_dma3)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8QX5")
    include(driver_dma3)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8QX4")
    include(driver_dma3)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8DX4")
    include(driver_dma3)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8DX2")
    include(driver_dma3)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8QX1")
    include(driver_dma3)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8DX3")
    include(driver_dma3)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8DX6")
    include(driver_dma3)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8DX5")
    include(driver_dma3)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8DX1")
    include(driver_dma3)
endif()

include(driver_flexcan)
