#Description: LPI2C Freerto Driver; user_visible: True
include_guard(GLOBAL)
message("driver_lpi2c_freertos component is included.")

target_sources(${MCUX_SDK_PROJECT_NAME} PRIVATE
    ${CMAKE_CURRENT_LIST_DIR}/fsl_lpi2c_freertos.c
)

target_include_directories(${MCUX_SDK_PROJECT_NAME} PUBLIC
    ${CMAKE_CURRENT_LIST_DIR}/.
)

#OR Logic component
if(${MCUX_DEVICE} STREQUAL "MIMXRT1062")
    include(middleware_freertos-kernel_MIMXRT1062)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMXRT1042")
    include(middleware_freertos-kernel_MIMXRT1042)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMXRT1176_cm4")
    include(middleware_freertos-kernel_MIMXRT1176_cm4)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMXRT1173_cm4")
    include(middleware_freertos-kernel_MIMXRT1176_cm4)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMXRT1175_cm4")
    include(middleware_freertos-kernel_MIMXRT1176_cm4)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMXRT1176_cm7")
    include(middleware_freertos-kernel_MIMXRT1176_cm7)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMXRT1171_cm7")
    include(middleware_freertos-kernel_MIMXRT1176_cm7)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMXRT1173_cm7")
    include(middleware_freertos-kernel_MIMXRT1176_cm7)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMXRT1172_cm7")
    include(middleware_freertos-kernel_MIMXRT1176_cm7)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMXRT1175_cm7")
    include(middleware_freertos-kernel_MIMXRT1176_cm7)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMXRT1061")
    include(middleware_freertos-kernel_MIMXRT1062)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMXRT1165_cm4")
    include(middleware_freertos-kernel_MIMXRT1166_cm4)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMXRT1165_cm7")
    include(middleware_freertos-kernel_MIMXRT1166_cm7)
endif()
if(${MCUX_DEVICE} STREQUAL "MKE17Z7")
    include(middleware_freertos-kernel_MKE17Z7)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMXRT1171_cm7")
    include(middleware_freertos-kernel_MIMXRT1176_cm7)
endif()
if(${MCUX_DEVICE} STREQUAL "K32L2A31A")
    include(middleware_freertos-kernel_K32L2A41A)
endif()
if(${MCUX_DEVICE} STREQUAL "MCIMX7U5")
    include(middleware_freertos-kernel_MCIMX7U5)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMXRT1024")
    include(middleware_freertos-kernel_MIMXRT1024)
endif()
if(${MCUX_DEVICE} STREQUAL "MKE14Z4")
    include(middleware_freertos-kernel_MKE16Z4)
endif()
if(${MCUX_DEVICE} STREQUAL "K32L2A41A")
    include(middleware_freertos-kernel_K32L2A41A)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMXRT1172_cm7")
    include(middleware_freertos-kernel_MIMXRT1176_cm7)
endif()
if(${MCUX_DEVICE} STREQUAL "MCIMX7U3")
    include(middleware_freertos-kernel_MCIMX7U5)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8QM6_cm4_core0")
    include(middleware_freertos-kernel_MIMX8QM6_cm4_core0)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8QM6_cm4_core1")
    include(middleware_freertos-kernel_MIMX8QM6_cm4_core1)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8QX6")
    include(middleware_freertos-kernel_MIMX8QX6)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8UX6")
    include(middleware_freertos-kernel_MIMX8QX6)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8UX5")
    include(middleware_freertos-kernel_MIMX8QX6)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8QX2")
    include(middleware_freertos-kernel_MIMX8QX6)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8QX3")
    include(middleware_freertos-kernel_MIMX8QX6)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8QX5")
    include(middleware_freertos-kernel_MIMX8QX6)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8QX4")
    include(middleware_freertos-kernel_MIMX8QX6)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8DX4")
    include(middleware_freertos-kernel_MIMX8QX6)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8DX2")
    include(middleware_freertos-kernel_MIMX8QX6)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8QX1")
    include(middleware_freertos-kernel_MIMX8QX6)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8DX3")
    include(middleware_freertos-kernel_MIMX8QX6)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8DX6")
    include(middleware_freertos-kernel_MIMX8QX6)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8DX5")
    include(middleware_freertos-kernel_MIMX8QX6)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8DX1")
    include(middleware_freertos-kernel_MIMX8QX6)
endif()

include(driver_lpi2c)
