#Description: LPUART Edma Driver; user_visible: True
include_guard(GLOBAL)
message("driver_lpuart_edma component is included.")

target_sources(${MCUX_SDK_PROJECT_NAME} PRIVATE
    ${CMAKE_CURRENT_LIST_DIR}/fsl_lpuart_edma.c
)

target_include_directories(${MCUX_SDK_PROJECT_NAME} PUBLIC
    ${CMAKE_CURRENT_LIST_DIR}/.
)

#OR Logic component
if(${MCUX_DEVICE} STREQUAL "MK22F51212")
    include(driver_edma_MK22F51212)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMXRT1062")
    include(driver_edma_MIMXRT1062)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMXRT1042")
    include(driver_edma_MIMXRT1042)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMXRT1176_cm4")
    include(driver_edma_MIMXRT1176_cm4)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMXRT1173_cm4")
    include(driver_edma_MIMXRT1176_cm4)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMXRT1175_cm4")
    include(driver_edma_MIMXRT1176_cm4)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMXRT1176_cm7")
    include(driver_edma_MIMXRT1176_cm7)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMXRT1171_cm7")
    include(driver_edma_MIMXRT1176_cm7)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMXRT1173_cm7")
    include(driver_edma_MIMXRT1176_cm7)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMXRT1172_cm7")
    include(driver_edma_MIMXRT1176_cm7)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMXRT1175_cm7")
    include(driver_edma_MIMXRT1176_cm7)
endif()
if(${MCUX_DEVICE} STREQUAL "MK22F25612")
    include(driver_edma_MK22F51212)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMXRT1061")
    include(driver_edma_MIMXRT1062)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMXRT1165_cm4")
    include(driver_edma_MIMXRT1166_cm4)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMXRT1165_cm7")
    include(driver_edma_MIMXRT1166_cm7)
endif()
if(${MCUX_DEVICE} STREQUAL "MKV31F12810")
    include(driver_edma_MKV31F51212)
endif()
if(${MCUX_DEVICE} STREQUAL "MKE17Z7")
    include(driver_edma_MKE17Z7)
endif()
if(${MCUX_DEVICE} STREQUAL "K32L2A31A")
    include(driver_edma_K32L2A41A)
endif()
if(${MCUX_DEVICE} STREQUAL "MCIMX7U5")
    include(driver_edma_MCIMX7U5)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMXRT1024")
    include(driver_edma_MIMXRT1024)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMXRT1011")
    include(driver_edma_MIMXRT1011)
endif()
if(${MCUX_DEVICE} STREQUAL "MKV31F25612")
    include(driver_edma_MKV31F51212)
endif()
if(${MCUX_DEVICE} STREQUAL "K32L2A41A")
    include(driver_edma_K32L2A41A)
endif()
if(${MCUX_DEVICE} STREQUAL "MCIMX7U3")
    include(driver_edma_MCIMX7U5)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMXRT1015")
    include(driver_edma_MIMXRT1015)
endif()
if(${MCUX_DEVICE} STREQUAL "MK66F18")
    include(driver_edma_MK66F18)
endif()
if(${MCUX_DEVICE} STREQUAL "MK65F18")
    include(driver_edma_MK66F18)
endif()
if(${MCUX_DEVICE} STREQUAL "MK26F18")
    include(driver_edma_MK66F18)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8QM6_cm4_core0")
    include(driver_dma3)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8QM6_cm4_core1")
    include(driver_dma3)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8QX6")
    include(driver_dma3)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8UX6")
    include(driver_dma3)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8UX5")
    include(driver_dma3)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8QX2")
    include(driver_dma3)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8QX3")
    include(driver_dma3)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8QX5")
    include(driver_dma3)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8QX4")
    include(driver_dma3)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8DX4")
    include(driver_dma3)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8DX2")
    include(driver_dma3)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8QX1")
    include(driver_dma3)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8DX3")
    include(driver_dma3)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8DX6")
    include(driver_dma3)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8DX5")
    include(driver_dma3)
endif()
if(${MCUX_DEVICE} STREQUAL "MIMX8DX1")
    include(driver_dma3)
endif()
if(${MCUX_DEVICE} STREQUAL "MK28FA15")
    include(driver_edma_MK28FA15)
endif()
if(${MCUX_DEVICE} STREQUAL "MK27FA15")
    include(driver_edma_MK28FA15)
endif()

include(driver_lpuart)
